#include <stdarg.h>
#include <stdlib.h>
#include <stdio.h>
#include <unistd.h>
#include <syslog.h>

#include <vhttpd/log.h>

void
runtime_error (const char *fmt, ...)
{
  va_list ap;

  va_start (ap, fmt);
  vsyslog (LOG_ERR, fmt, ap);
  va_end (ap);

  va_start (ap, fmt);
  vfprintf (stderr, fmt, ap);
  va_end (ap);

  fputc ('\n', stderr);

  exit (EXIT_FAILURE);
}
